Package org.apache.sysds.utils.stats

# Class RecompileStatistics

java.lang.Object
org.apache.sysds.utils.stats.RecompileStatistics

public class RecompileStatistics extends Object

## Constructor Summary

Constructors
Constructor
Description
`RecompileStatistics()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`displayStatistics()`
`static long`
`getRecompiledPredDAGs()`
`static long`
`getRecompiledSBDAGs()`
`static long`
`getRecompileTime()`
`static void`
`incrementRecompilePred()`
`static void`
`incrementRecompilePred(long delta)`
`static void`
`incrementRecompileSB()`
`static void`
`incrementRecompileSB(long delta)`
`static void`
`incrementRecompileTime(long delta)`
`static void`
`reset()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RecompileStatistics

public RecompileStatistics()

## Method Details

### incrementRecompileTime

public static void incrementRecompileTime(long delta)

### incrementRecompilePred

public static void incrementRecompilePred()

### incrementRecompilePred

public static void incrementRecompilePred(long delta)

### incrementRecompileSB

public static void incrementRecompileSB()

### incrementRecompileSB

public static void incrementRecompileSB(long delta)

### getRecompileTime

public static long getRecompileTime()

### getRecompiledPredDAGs

public static long getRecompiledPredDAGs()

### getRecompiledSBDAGs

public static long getRecompiledSBDAGs()

### reset

public static void reset()

### displayStatistics

public static String displayStatistics()